import 'package:dotup_flutter_simulator/dotup_flutter_simulator.dart';
import 'package:dotup_flutter_widgets/dotup_flutter_widgets.dart';
import 'package:flutter/material.dart';

const navBarIconColor = Colors.red;
const navBarColor = Colors.green;

main(List<String> args) {
  final currentDevice = ANDROID_DEVICES[1];

  runApp(
    SimulatorApp(
      disableSimulatorFrame: false,
      appBuilder: (_) => const MyApp(),
      device: currentDevice,
      settings: SimulatorSettings(
        androidDevices: ANDROID_DEVICES,
        iosDevices: IOS_DEVICES,
        showColorSelector: false,
      ),
    ),
  );
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final mq = MediaQuery.of(context);

    return MaterialApp(
      debugShowCheckedModeBanner: true,
      theme: ThemeData.light(),
      darkTheme: ThemeData.dark(),
      useInheritedMediaQuery: true,
      // to get simulator theme mode settings
      themeMode: mq.platformBrightness == Brightness.dark ? ThemeMode.dark : ThemeMode.light,
      routes: {
        '/': (_) => Home(),
        '/info': (_) => MediaQuery(data: mq, child: ScreenInfoPage()),
      },
    );
  }
}

class Home extends StatelessWidget {
  const Home({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('DFFP'),
        actions: [
          IconButton(
            onPressed: () {
              Navigator.of(context).pushNamed('/info');
            },
            icon: const Icon(Icons.info_outline),
          ),
        ],
      ),
      body: const Center(
        child: Text('www.dotup.de'),
      ),
      // body: const Center(
      //   child: Text('www.dotup.de'),
      // ),
    );
  }
}
