import 'package:flutter/material.dart';

class AndroidNavigationBar extends StatelessWidget {
  final double height;
  final double width;
  final double cornerRadius;
  final Color color;
  final Color iconColor;

  const AndroidNavigationBar({
    Key? key,
    required this.height,
    required this.width,
    required this.iconColor,
    required this.color,
    this.cornerRadius = 0.0,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: height,
      width: width,
      color: color,
      child: Center(
        child: Row(
          children: [
            Expanded(
              child: RotatedBox(
                quarterTurns: 2,
                child: Icon(
                  Icons.play_arrow,
                  color: iconColor,
                ),
              ),
            ),
            Expanded(
              child: Stack(
                fit: StackFit.expand,
                children: <Widget>[
                  Center(
                    child: Container(
                      decoration: BoxDecoration(
                        shape: BoxShape.circle,
                        border: Border.all(color: iconColor, width: 1.0),
                      ),
                      width: 16.0,
                      height: 16.0,
                    ),
                  ),
                  Center(
                    child: Container(
                      decoration: BoxDecoration(
                        shape: BoxShape.circle,
                        color: iconColor,
                      ),
                      width: 11.0,
                      height: 11.0,
                    ),
                  ),
                ],
              ),
            ),
            Expanded(
              child: Icon(
                Icons.stop,
                color: iconColor,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
