import 'package:flutter/material.dart';

import 'display.dart';
import 'display_content.dart';

class DisplayFrame extends StatelessWidget {
  const DisplayFrame({
    Key? key,
    required this.screenSize,
    required this.child,
  }) : super(key: key);

  final Size screenSize;
  final DisplayContent child;
  final orientation = Orientation.landscape;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: FittedBox(
        child: Container(
          decoration: BoxDecoration(),
          clipBehavior: Clip.hardEdge,
          height: screenSize.height,
          width: screenSize.width,
          child: Display(
            content: child,
            screenSize: screenSize,
          ),
        ),
      ),
    );
  }
}

// class Display extends StatelessWidget {
//   const Display({
//     Key? key,
//     required this.content,
//     required this.screenSize,
//   }) : super(key: key);

//   final DisplayContent content;
//   final Size screenSize;

//   @override
//   Widget build(BuildContext context) {
//     final menuPositionY = screenSize.height - (content.menuBar?.height ?? 0);
//     return Stack(
//       children: [
//         if (content.statusBar != null) content.statusBar!.widget,
//         Positioned(
//           top: content.statusBar?.height ?? 0,
//           left: 0,
//           height: screenSize.height - (content.statusBar?.height ?? 0) - (content.menuBar?.height ?? 0),
//           // height: menuPositionY,
//           width: screenSize.width,
//           child: Container(
//             decoration: BoxDecoration(),
//             clipBehavior: Clip.hardEdge,
//             child: content.body,
//           ),
//         ),
//         if (content.menuBar != null)
//           Positioned(
//             left: 0,
//             top: menuPositionY,
//             child: content.menuBar!.widget,
//           ),
//       ],
//     );
//   }
// }
